api_msg Struct Reference

`#include <api_msg.h>`

## Data Fields

struct netconn * | conn
err_t | err
union {
struct netbuf * b
struct {
} n
struct {
} bc
struct {
} ad
struct {
const struct netvector * vector
u16_t vector_cnt
size_t vector_off
size_t len
size_t offset
} w
struct {
} r
struct {
} sd
struct {
} jl
} | msg

## Detailed Description

This struct includes everything that is necessary to execute a function for a netconn in another thread context (mainly used to process netconns in the tcpip_thread context to be thread safe).

## Field Documentation

## ad

struct { ... } api_msg::ad

used for lwip_netconn_do_getaddr

## b

struct netbuf* api_msg::b

used for lwip_netconn_do_send

## bc

struct { ... } api_msg::bc

used for lwip_netconn_do_bind and lwip_netconn_do_connect

## conn

struct netconn* api_msg::conn

The netconn which to process - always needed: it includes the semaphore which is used to block the application thread until the function finished.

## err

err_t api_msg::err

The return value of the function executed in tcpip_thread.

## jl

struct { ... } api_msg::jl

used for lwip_netconn_do_join_leave_group

## len

size_t api_msg::len

total length across vectors

## msg

union { ... } api_msg::msg

Depending on the executed function, one of these union members is used

## n

struct { ... } api_msg::n

used for lwip_netconn_do_newconn

## offset

size_t api_msg::offset

offset into total length/output of bytes written when err == ERR_OK

## r

struct { ... } api_msg::r

used for lwip_netconn_do_recv

## sd

struct { ... } api_msg::sd

used for lwip_netconn_do_close (/shutdown)

## vector

const struct netvector* api_msg::vector

current vector to write

## vector_cnt

u16_t api_msg::vector_cnt

number of unwritten vectors

## vector_off

size_t api_msg::vector_off

offset into current vector

## w

struct { ... } api_msg::w

used for lwip_netconn_do_write

The documentation for this struct was generated from the following file:

- src/include/lwip/priv/api_msg.h